<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})"
      xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_PROFILES}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROFILES}}"></span>
    </h2>
    <br />
    <form class="ui form" id="profiles-form" th:object="${profile}" method="post">
      <input type="hidden" th:field="*{id}" />
      <div class="ui pointing secondary menu" id="tabs" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <a class="item active" data-tab="profileinfo" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROFILEINFO}}"></a>
        <a class="item" data-tab="roles" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ROLES}}"></a>
      </div>
      <br />
      <div class="ui tab active" data-tab="profileinfo">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
                                                              field = 'name', 
                                                              required = true, 
                                                              maxlength = 50, 
                                                              placeholder = '', 
                                                              errormessage = ${#fields.errors('name')},
                                                              columnsize = ''
                                                              )" />
        <div class="required field">
          <label class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_IMPERSONABLE}}"></label>
          <div class="inline field" th:classappend="${#fields.hasErrors('impersonable')} ? 'error'">
            <div class="ui toggle checkbox field">
              <input checked="checked" class="hidden" th:field="*{impersonable}" type="checkbox" />
            </div>
          </div>
        </div>
      </div>
      <div class="ui tab" data-tab="roles">
        <div class="ui three stackable cards">
          <div class="ui card" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:each="item : ${roles}">
            <div class="content">
              <div class="ui toggle checkbox field">
                <input checked="checked" class="hidden" th:field="*{roles}" th:value="${item.id}" type="checkbox" />
                <label th:text="${item.name}"></label>
              </div>
              <div class="description" th:text="#{${'role.description.' + item.id}}"></div>
            </div>
          </div>
        </div>
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                                      icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                                      icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_PROFILES},
                                                                      icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      icon2url = ''
                                                                      )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_PROFILES_JS}}"></script>
</body>
</html>